/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_1}", "click", function(sym, e) {
         sym.getSymbol("pop_1").play(1);
         sym.$("hotspot_3").hide();
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_4").hide();
         sym.$("scena").fadeOut("slow");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_2}", "click", function(sym, e) {
         sym.getSymbol("pop_2").play(1);
         sym.$("hotspot_3").hide();
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_4").hide();
         sym.$("scena").fadeOut("slow");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_3}", "click", function(sym, e) {
         sym.getSymbol("pop_3").play(1);
         sym.$("hotspot_3").hide();
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_4").hide();
         sym.$("scena").fadeOut("slow");
         
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_4}", "click", function(sym, e) {
         sym.getSymbol("pop_4").play(1);
         sym.$("hotspot_3").hide();
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").hide();
         sym.$("hotspot_4").hide();
         sym.$("scena").fadeOut("slow");

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'flecha_bt'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("flecha_bt");
   //Edge symbol end:'flecha_bt'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindElementAction(compId, symbolName, "${_hotspot_1}", "click", function(sym, e) {
         sym.$("lobo_1").fadeOut("slow");
         sym.$("lobo_2").fadeIn("slow");
         sym.$("Text_1").fadeOut("slow");
         sym.$("Text_2").fadeIn("slow");
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_2}", "click", function(sym, e) {
         sym.$("lobo_2").fadeOut("slow");
         sym.$("lobo_3").fadeIn("slow");
         sym.$("Text_2").fadeOut("slow");
         sym.$("Text_3").fadeIn("slow");
         sym.$("bt_cerrar").fadeIn("slow");
         sym.$("hotspot_2").hide();
         sym.$("handmouse2").hide();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.play('final');
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("hotspot_4").show();
         sym.getComposition().getStage().$("scena").fadeIn("slow");
         

      });
      //Edge binding end

   })("pop_1");
   //Edge symbol end:'pop_1'

   //=========================================================
   
   //Edge symbol: 'pop_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_1}", "click", function(sym, e) {
         sym.$("pulpo_1").fadeOut("slow");
         sym.$("pulpo_2").fadeIn("slow");
         sym.$("Text_1").fadeOut("slow");
         sym.$("Text_2").fadeIn("slow");
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_2}", "click", function(sym, e) {
         sym.$("pulpo_2").fadeOut("slow");
         sym.$("pulpo_3").fadeIn("slow");
         sym.$("Text_2").fadeOut("slow");
         sym.$("Text_3").fadeIn("slow");
         sym.$("bt_cerrar").fadeIn("slow");
         sym.$("hotspot_2").hide();
         sym.$("handmouse2").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.play('final');
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("hotspot_4").show();
         sym.getComposition().getStage().$("scena").fadeIn("slow");

      });
      //Edge binding end

   })("pop_2");
   //Edge symbol end:'pop_2'

   //=========================================================
   
   //Edge symbol: 'scena'
   (function(symbolName) {   
   
   })("scena");
   //Edge symbol end:'scena'

   //=========================================================
   
   //Edge symbol: 'pop_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_1}", "click", function(sym, e) {
         sym.$("rey_1").fadeOut("slow");
         sym.$("rey_2").fadeIn("slow");
         sym.$("Text_1").fadeOut("slow");
         sym.$("Text_2").fadeIn("slow");
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_2}", "click", function(sym, e) {
         sym.$("rey_2").fadeOut("slow");
         sym.$("rey_3").fadeIn("slow");
         sym.$("Text_2").fadeOut("slow");
         sym.$("Text_3").fadeIn("slow");
         sym.$("bt_cerrar").fadeIn("slow");
         sym.$("hotspot_2").hide();
         sym.$("handmouse2").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.play('final');
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("hotspot_4").show();
         sym.getComposition().getStage().$("scena").fadeIn("slow");

      });
      //Edge binding end

   })("pop_3");
   //Edge symbol end:'pop_3'

   //=========================================================
   
   //Edge symbol: 'pop_4'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_1}", "click", function(sym, e) {
         sym.$("rey_1").fadeOut("slow");
         sym.$("rey_2").fadeIn("slow");
         sym.$("Text_1").fadeOut("slow");
         sym.$("Text_2").fadeIn("slow");
         sym.$("hotspot_1").hide();
         sym.$("hotspot_2").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_2}", "click", function(sym, e) {
         sym.$("rey_2").fadeOut("slow");
         sym.$("rey_3").fadeIn("slow");
         sym.$("Text_2").fadeOut("slow");
         sym.$("Text_3").fadeIn("slow");
         sym.$("bt_cerrar").fadeIn("slow");
         sym.$("hotspot_2").hide();
         sym.$("handmouse2").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.play('final');
         sym.getComposition().getStage().$("hotspot_1").show();
         sym.getComposition().getStage().$("hotspot_2").show();
         sym.getComposition().getStage().$("hotspot_3").show();
         sym.getComposition().getStage().$("hotspot_4").show();
         sym.getComposition().getStage().$("scena").fadeIn("slow");

      });
      //Edge binding end

   })("pop_4");
   //Edge symbol end:'pop_4'

})(jQuery, AdobeEdge, "EDGE-94063035");